"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.dataAsDataView = dataAsDataView;
exports.dataAsDataViewReadonly = dataAsDataViewReadonly;
/**
 * Convert buffer-like object to DataView.
 *
 * @param data Data view.
 * @returns Data view.
 */
function dataAsDataViewReadonly(data) {
  let size;
  let offset;
  const bufferView = data;
  let {
    buffer
  } = bufferView;
  if (buffer) {
    size = bufferView.byteLength;
    offset = bufferView.byteOffset;
  } else {
    buffer = data;
    size = buffer.byteLength;
    offset = 0;
  }
  return new DataView(buffer, offset, size);
}

/**
 * Convert buffer-like object to DataView.
 *
 * @param data Data view.
 * @returns Data view.
 */
function dataAsDataView(data) {
  return dataAsDataViewReadonly(data);
}
//# sourceMappingURL=util.js.map