import { ArrayBuffers, IArrayBufferView } from './types.ts';
/**
 * Checksum getter.
 *
 * @param data PE data.
 * @returns Checksum value.
 */
export declare function checksumGet(data: Readonly<ArrayBuffers | IArrayBufferView>): number;
/**
 * Checksum setter.
 *
 * @param data PE data.
 * @param value Checksum value.
 */
export declare function checksumSet(data: ArrayBuffers | IArrayBufferView, value: number): void;
/**
 * Checksum creater.
 *
 * @param data PE data.
 * @returns Checksum value.
 */
export declare function checksumCreate(data: Readonly<ArrayBuffers | IArrayBufferView>): number;
/**
 * Checksum updater.
 *
 * @param data PE data.
 * @param preserveNull Preserve a null checksum.
 */
export declare function checksumUpdate(data: ArrayBuffers | IArrayBufferView, preserveNull: boolean): void;
