import { ArrayBuffers, IArrayBufferView } from './types.ts';
/**
 * PE signature getter.
 *
 * @param data PE data.
 * @returns Signature data, or null.
 */
export declare function signatureGet(data: Readonly<ArrayBuffers | IArrayBufferView>): ArrayBuffer | null;
/**
 * PE signature setter, removes signature if null.
 *
 * @param data PE data.
 * @param signature Signature data or null to remove.
 * @param updateChecksum Update checksum.
 * @param preserveNullChecksum Preserve a null checksum.
 * @returns Updated PE.
 */
export declare function signatureSet(data: Readonly<ArrayBuffers | IArrayBufferView>, signature: Readonly<ArrayBuffers | IArrayBufferView> | null, updateChecksum?: boolean, preserveNullChecksum?: boolean): ArrayBuffer;
